package org.jconfig.visual;

import java.awt.event.*;
import javax.swing.*;
import org.jconfig.items.*;

/**
 *  <p>package:    org.jconfig.visual</p>
 *  <p>file:       ConfigComboBox.java</p>
 * $Id: ConfigComboBox.java,v 1.2 2004/04/19 08:12:45 tgl Exp $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 *	Combobox widget for configuration editor
 * </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0
 */
public class ConfigComboBox extends JComboBox {
    
    public String   id;    
    public TreeItem item;
    
    /** Creates a new instance of ConfigTextArea */
    public ConfigComboBox(TreeItem it, TreeItem si, String name, int ulevel) {
        item = it;
        id = name;
        
        String  val = item.GetAttrValue(id);
        String  choiceval = null;
        int     i;
        TreeItem selected = null;
        
        for (i = 0; i < si.items.size(); i++) {
            TreeItem choice = (TreeItem) si.items.get(i);
            if (choice.GetName().compareTo("choiceitem") == 0) {
                addItem((Object)choice);
                if (val == null) {
                    val = choice.GetAttrValue("value");
                    it.ModifyAttr(id, val);
                }
                if (choice.GetAttrValue("value").compareTo(val) == 0)
                    selected = choice;
            }    
        }
        
        if (getItemCount() > 0)
            setSelectedItem (selected);

        this.setEnabled(ConfigPanel.ConfigCheckUserlevel(it, ulevel));
        
        addFocusListener(new FocusListener() {
            public void focusGained(FocusEvent e) {}
            
            public void focusLost(FocusEvent e) {
                if (getItemCount() > 0)
                    item.ModifyAttr(id, ((TreeItem)getItemAt(getSelectedIndex())).GetAttrValue("value"));
            }
        });
    }
}
