/*
 * JConfig.java
 *
 * Created on 13. Mai 2003, 21:49
 */
package org.jvisu.apps;

import org.jvisu.base.*;
import org.jvisu.comm.*;
import javax.swing.*;
import java.net.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

/** Configuration editor application
 *
 *  <p>package:  org.jvisu.apps</p>
 *  <p>file:    JConfig.java</p>
 *  <p>$Id: JConfig.java,v 1.2 2004/04/19 08:20:55 tgl Exp $ </p>
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 *  <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation. See file LICENCE in this
 *  directory</p>
 *  
 *  <p>Change Log:</p>
 *  <ul>
 *  <li> 1.0 Initial inmplimentation </li>
 *  </ul>
 *  <p>
 *  Configuration editor application
 *  </p>
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.0 
*/
public class JConfig extends javax.swing.JFrame {
    
    private JVConfig  vConf;

    /** Creates a new instance of JConfig */
    public JConfig(String base, String conf, String parm) {

        setSize(new Dimension (660,400));
        getContentPane().setLayout(new java.awt.BorderLayout());
        setTitle ("JVisu configuration");
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                exitForm(evt);
            }
        });
        
        vConf = new JVConfig();
        vConf.setBase(base);
        vConf.setUsefs(true);
        vConf.setUserlevel(2);
        //vConf = new VisuConfig(base, commSrv, conf, parm, true, true);
        getContentPane().add (vConf);
        vConf.setConfigFile(base + conf);
        
        JButton but = new JButton("Save");
        getContentPane().add (but, BorderLayout.SOUTH);

        but.addActionListener( new java.awt.event.ActionListener() {
            public void actionPerformed (java.awt.event.ActionEvent evt) {
                vConf.SaveTree();
            }
        });
    }
    
    private void exitForm(java.awt.event.WindowEvent evt) {
        System.exit(0);
    }	
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String base;
        if (args.length < 1)
            return;
        base = "file:///" + System.getProperty("user.dir") + "/";
        if (args.length == 2)
            new JConfig(base, args[0], args[1]).show();
        else
            new JConfig(base, args[0], null).show();
    }
}
