package org.jvisu.panel.configurator;

import java.lang.reflect.*;
import java.awt.*;
import javax.swing.*;

/**
 *  <p>package:    org.jvisu.panel</p>
 *  <p>file:       JVPanelTreeComponent.java</p>
 * $Id: JVPanelTreeComponent.java,v 1.2 2004/04/19 08:20:55 tgl Exp $
 *
 *  <p>Copyright 2003 Thomas Gleixner <tglx@linutronix.de></p>
 *
 * <p>This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.</p>
 * </p>
 *
 * Change Log:
 * </p>
 * <ul>
 * <li> 1.0 First implementation
 * </ul>
 * <p>
 * </p>
 *
 *  A class to hold components of the JVPanelTree.
 *
 * @author Thomas Gleixner <tglx@linutronix.de>
 * @version 1.3
 */
public class JVPanelTreeComponent extends Object {
    
        /** The object for this node */
        private Object              object;
        /** An image for this item */
        private ImageIcon           icon;
        /** The String representation */
        private String              name;
        
        /** Create a new instance of JVPanelPaletteMenuItem 
         */
        public JVPanelTreeComponent(Object obj, ImageIcon img, String n) {
            object = obj;
            icon = img;
            name = n;
        }

        /** Return the string for this node 
         *  @return the name for this node
         */
        public String toString() {
            try {
                Method m = object.getClass().getMethod("getName", null);
                String txt = (String) m.invoke(object, null);
                if (txt == null)
                    return name;
                return (name + ": " + txt);
            } catch (Exception e) {
                return name;
            }
        }
        
        /** Return the icon for this node 
         *  @return the icon for this node
         */
        public ImageIcon getIcon() {
            return icon;
        }

        /** Return the component for this node 
         *  @return the component for this node
         */
        public Object getObject() {
            return object;
        }
}
